"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
exports.__esModule = true;
exports.WalletMock__factory = exports.StakingMock__factory = exports.L2TokenGatewayMock__factory = exports.L1TokenGatewayMock__factory = exports.InboxMock__factory = exports.GraphTokenMock__factory = exports.BridgeMock__factory = exports.IMessageProvider__factory = exports.IInbox__factory = exports.IBridge__factory = exports.MinimalProxyFactory__factory = exports.L2GraphTokenLockWallet__factory = exports.L2GraphTokenLockTransferTool__factory = exports.L2GraphTokenLockManager__factory = exports.L1GraphTokenLockTransferTool__factory = exports.IGraphTokenLockManager__factory = exports.IGraphTokenLock__factory = exports.ICallhookReceiver__factory = exports.GraphTokenLockWallet__factory = exports.GraphTokenLockSimple__factory = exports.GraphTokenLockManager__factory = exports.GraphTokenLock__factory = exports.GraphTokenDistributor__factory = exports.ITokenGateway__factory = exports.IERC20__factory = exports.ERC20__factory = exports.Ownable__factory = void 0;
var Ownable__factory_1 = require("./factories/Ownable__factory");
__createBinding(exports, Ownable__factory_1, "Ownable__factory");
var ERC20__factory_1 = require("./factories/ERC20__factory");
__createBinding(exports, ERC20__factory_1, "ERC20__factory");
var IERC20__factory_1 = require("./factories/IERC20__factory");
__createBinding(exports, IERC20__factory_1, "IERC20__factory");
var ITokenGateway__factory_1 = require("./factories/ITokenGateway__factory");
__createBinding(exports, ITokenGateway__factory_1, "ITokenGateway__factory");
var GraphTokenDistributor__factory_1 = require("./factories/GraphTokenDistributor__factory");
__createBinding(exports, GraphTokenDistributor__factory_1, "GraphTokenDistributor__factory");
var GraphTokenLock__factory_1 = require("./factories/GraphTokenLock__factory");
__createBinding(exports, GraphTokenLock__factory_1, "GraphTokenLock__factory");
var GraphTokenLockManager__factory_1 = require("./factories/GraphTokenLockManager__factory");
__createBinding(exports, GraphTokenLockManager__factory_1, "GraphTokenLockManager__factory");
var GraphTokenLockSimple__factory_1 = require("./factories/GraphTokenLockSimple__factory");
__createBinding(exports, GraphTokenLockSimple__factory_1, "GraphTokenLockSimple__factory");
var GraphTokenLockWallet__factory_1 = require("./factories/GraphTokenLockWallet__factory");
__createBinding(exports, GraphTokenLockWallet__factory_1, "GraphTokenLockWallet__factory");
var ICallhookReceiver__factory_1 = require("./factories/ICallhookReceiver__factory");
__createBinding(exports, ICallhookReceiver__factory_1, "ICallhookReceiver__factory");
var IGraphTokenLock__factory_1 = require("./factories/IGraphTokenLock__factory");
__createBinding(exports, IGraphTokenLock__factory_1, "IGraphTokenLock__factory");
var IGraphTokenLockManager__factory_1 = require("./factories/IGraphTokenLockManager__factory");
__createBinding(exports, IGraphTokenLockManager__factory_1, "IGraphTokenLockManager__factory");
var L1GraphTokenLockTransferTool__factory_1 = require("./factories/L1GraphTokenLockTransferTool__factory");
__createBinding(exports, L1GraphTokenLockTransferTool__factory_1, "L1GraphTokenLockTransferTool__factory");
var L2GraphTokenLockManager__factory_1 = require("./factories/L2GraphTokenLockManager__factory");
__createBinding(exports, L2GraphTokenLockManager__factory_1, "L2GraphTokenLockManager__factory");
var L2GraphTokenLockTransferTool__factory_1 = require("./factories/L2GraphTokenLockTransferTool__factory");
__createBinding(exports, L2GraphTokenLockTransferTool__factory_1, "L2GraphTokenLockTransferTool__factory");
var L2GraphTokenLockWallet__factory_1 = require("./factories/L2GraphTokenLockWallet__factory");
__createBinding(exports, L2GraphTokenLockWallet__factory_1, "L2GraphTokenLockWallet__factory");
var MinimalProxyFactory__factory_1 = require("./factories/MinimalProxyFactory__factory");
__createBinding(exports, MinimalProxyFactory__factory_1, "MinimalProxyFactory__factory");
var IBridge__factory_1 = require("./factories/IBridge__factory");
__createBinding(exports, IBridge__factory_1, "IBridge__factory");
var IInbox__factory_1 = require("./factories/IInbox__factory");
__createBinding(exports, IInbox__factory_1, "IInbox__factory");
var IMessageProvider__factory_1 = require("./factories/IMessageProvider__factory");
__createBinding(exports, IMessageProvider__factory_1, "IMessageProvider__factory");
var BridgeMock__factory_1 = require("./factories/BridgeMock__factory");
__createBinding(exports, BridgeMock__factory_1, "BridgeMock__factory");
var GraphTokenMock__factory_1 = require("./factories/GraphTokenMock__factory");
__createBinding(exports, GraphTokenMock__factory_1, "GraphTokenMock__factory");
var InboxMock__factory_1 = require("./factories/InboxMock__factory");
__createBinding(exports, InboxMock__factory_1, "InboxMock__factory");
var L1TokenGatewayMock__factory_1 = require("./factories/L1TokenGatewayMock__factory");
__createBinding(exports, L1TokenGatewayMock__factory_1, "L1TokenGatewayMock__factory");
var L2TokenGatewayMock__factory_1 = require("./factories/L2TokenGatewayMock__factory");
__createBinding(exports, L2TokenGatewayMock__factory_1, "L2TokenGatewayMock__factory");
var StakingMock__factory_1 = require("./factories/StakingMock__factory");
__createBinding(exports, StakingMock__factory_1, "StakingMock__factory");
var WalletMock__factory_1 = require("./factories/WalletMock__factory");
__createBinding(exports, WalletMock__factory_1, "WalletMock__factory");
